### Enumeration

# Qmi UimCardApplicationType

since: 1.10

#### Declaration

    enum Qmi.UimCardApplicationType

#### Description [src]

Card application type.

Available since: 1.10

#### Members

`QMI_UIM_CARD_APPLICATION_TYPE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_TYPE_SIM`

  SIM.

  - Value: `1`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_TYPE_USIM`

  USIM.

  - Value: `2`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_TYPE_RUIM`

  RUIM.

  - Value: `3`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_TYPE_CSIM`

  CSIM.

  - Value: `4`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_TYPE_ISIM`

  ISIM.

  - Value: `5`
  - Available since: 1.10

#### Type functions

###### qmi_uim_card_application_type_get_string

Gets the nickname string for the `QmiUimCardApplicationType` specified at `val`.

since: 1.10